حل مشکل اخطار کوپن باید با یک محصول فروشنده محدود شود در ووکامرس

حل مشکل "کوپن باید با یک محصول فروشنده محدود شود" در ووکامرس

حل مشکل اخطار کوپن باید با یک محصول فروشنده محدود شود در ووکامرس

سلام دوستان جی سیتی

این اخطار “کوپن باید با یک محصول فروشنده محدود شود ” اخطار اذیت کننده است که علت آن این است که شما از افزونه دکان استفاده می کنید و افزونه دکان خود به دلیل اینکه قابلیت ایجاد کوپن دارد و اگر شما بخواهید کوپنی در ووکامرس ایجاد کنید با این اخطار مواجه می شوید.

 

حل مشکل "کوپن باید با یک محصول فروشنده محدود شود" در ووکامرس

 

راه حل مشکل :

 

ابتدا به پوشه pubilc_html/plugins/dokan-lite/includes درون هاست خود بروید و فایل class-order-manager.php را با راست کلیک و زدن گزینه edit ویرایش نمایید .

 

add_filter( ‘woocommerce_coupon_is_valid’, array( $this, ‘ensure_vendor_coupon’ ), 10, 2 );

کافیه این خط رو سرچ کنید و قبل از اون یک # بزنید تا به صورت کامنت در بیاد . به صورت زیر :

# add_filter( ‘woocommerce_coupon_is_valid’, array( $this, ‘ensure_vendor_coupon’ ), 10, 2 );

 

روش دوم :

مسیر بالا رو بردید ودر همون فایل رو که edit می کنید و همچین می تونید خط هایی زیر رو به صورت کامنت در بیارید :

throw new Exception( __( ‘A coupon must be restricted with a vendor product.’, ‘dokan-lite’ ) );

و همچین

return false

 

این خط های بالا را به صورت کمنت در بیارورید که به صورت // یا با # قبل از ان خط ها انجام می شود .

 

مطالب زیر را حتما بخوانید

پاسخی بگذارید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *